Subject: Re: draft-ietf-pppext-mppe-01.txt

From: "Glen Zorn" <[email-masked]>
Date: Fri, 20 Mar 1998 11:32:49 -0800

Archie Cobbs <[email-masked]> writes:

>I wrote:
>> Re: draft-ietf-pppext-mppe-01.txt
>>
>> Is it possible to negotiate MPPC compression and MPPE encryption
>> simultaneously? It appears that the two were designed to work
>> together (does NT handle both at the same time?).
>>
>> In either case, it would be useful to have a comment in the draft
>> explicitly noting that this is/isn't possible.
>
>Duh.. just after sending this I noticed this paragraph:
>
>  Implementation Note
>
>     If both MPPE and MPPC are negotiated on the same link, the MPPE  pro-
>     cessor MUST be invoked after the MPPC processor by the sender and the
>     MPPE processor MUST be invoked  before  the  MPPC  processor  by  the
>     receiver.
>
>So I guess the answer to the question is "yes".

Yup.

>However, in the
>section describing the configuration bits, it says:
>
>   All other bits are reserved and MUST be set to 0.
>
>Taken literally, this would imply that MPPC is NOT compatible,
>since MPPC requires setting bit 0 to one.

Good catch!  I will add bit zero and a pointer to RFC 2118.

>
>-Archie
>
>___________________________________________________________________________
>Archie Cobbs   *   Whistle Communications, Inc.  *   http://www.whistle.com
>